Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fonts
Interface FontFamily

All Known Implementing Classes:
  SimpleFontFamily

    public interface FontFamily

Version:
  $Id: FontFamily.java 3105 2009-10-07 17:25:59Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`FontFace` | `getBoldFace()`
`FontFace` | `getBoldItalicFace()`
`java.lang.String` | `getBoldItalicPdfFont()`
`java.lang.String` | `getBoldPdfFont()`
`java.lang.String` | `getExportFont(java.lang.String key)`
`FontFace` | `getItalicFace()`
`java.lang.String` | `getItalicPdfFont()`
`java.lang.String` | `getName()`
`FontFace` | `getNormalFace()`
`java.lang.String` | `getNormalPdfFont()`
`java.lang.String` | `getPdfEncoding()`
`java.lang.Boolean` | `isPdfEmbedded()`
`boolean` | `supportsLocale(java.util.Locale locale)`

Method Detail

### getName

    java.lang.String getName()

### getNormalFace

    FontFace getNormalFace()

### getBoldFace

    FontFace getBoldFace()

### getItalicFace

    FontFace getItalicFace()

### getBoldItalicFace

    FontFace getBoldItalicFace()

### getNormalPdfFont

    java.lang.String getNormalPdfFont()

### getBoldPdfFont

    java.lang.String getBoldPdfFont()

### getItalicPdfFont

    java.lang.String getItalicPdfFont()

### getBoldItalicPdfFont

    java.lang.String getBoldItalicPdfFont()

### getPdfEncoding

    java.lang.String getPdfEncoding()

### isPdfEmbedded

    java.lang.Boolean isPdfEmbedded()

### getExportFont

    java.lang.String getExportFont(java.lang.String key)

### supportsLocale

    boolean supportsLocale(java.util.Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com